> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pyannote.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Jobs

This endpoint allows you to list all the jobs that you have created. They are
sorted in descending order by the time they were created (latest job first).

For performance reasons, job results are not included in the response. Retrieve
the results by using the [get job](/api-reference/get-job) endpoint.

By default the API will return the first 10 jobs. You can use the `limit` and
`offset` query parameters to paginate through the list of jobs.


## OpenAPI

````yaml GET /v1/jobs
openapi: 3.0.0
info:
  title: pyannoteAI API
  description: ''
  version: local
  contact: {}
  termsOfService: https://pyannote.ai/terms-of-use
servers:
  - url: https://api.pyannote.ai
security: []
tags: []
externalDocs:
  description: pyannoteAI Docs
  url: https://docs.pyannote.ai/
paths:
  /v1/jobs:
    get:
      tags:
        - Api
        - Jobs
      summary: Get all jobs.
      operationId: getJobsByTeam
      parameters:
        - name: take
          required: false
          in: query
          description: Number of jobs to return
          schema:
            minimum: 1
            maximum: 100
            default: 10
            example: 10
            type: number
        - name: status
          required: false
          in: query
          description: Status of the jobs to return
          schema:
            example: succeeded
            type: string
            enum:
              - pending
              - created
              - succeeded
              - canceled
              - failed
              - running
        - name: skip
          required: false
          in: query
          description: Number of jobs to skip
          schema:
            minimum: 0
            default: null
            example: 1
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetJobsResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '402':
          description: Subscription is required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - api-key: []
components:
  schemas:
    GetJobsResponse:
      type: object
      properties:
        items:
          description: >-
            List of jobs. Sorted by creation date, descending. Does not include
            output data.
          type: array
          items:
            $ref: '#/components/schemas/JobListItem'
        total:
          type: number
          description: Total number of jobs
          example: 100
      required:
        - items
        - total
    ValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: Invalid request
        errors:
          description: List of errors
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      required:
        - message
        - errors
    ApiError:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID
          example: 37a4c3a0-b034-4e8c-9ed9-76da6645544a
        message:
          type: string
          description: Error message
          example: Error message
      required:
        - requestId
        - message
    JobListItem:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - status
        - createdAt
    ValidationError:
      type: object
      properties:
        field:
          type: string
          description: Field name
          example: url
        message:
          type: string
          description: Error message
          example: Invalid URL
      required:
        - field
        - message
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````